'use strict';

import {Model} from '.';
const uuid = require('uuid/v4');

export interface AccessTokenRoles {
    [key: string]: boolean;
}

export default class AccessToken extends Model {
    public readonly id: number;
    public token: string;
    public name: string;
    public description: string;
    public roles: AccessTokenRoles;

    public static get tableName(): string {
        return 'access_tokens';
    }

    public static createToken(name: string, description: string, roles: AccessTokenRoles = {}): Promise<any> {
        return AccessToken
            .query()
            .insert({
                token: (uuid() + uuid()).replace(/-/g, ''),
                name,
                description,
                roles
            })
            .returning('token');
    }
}
