'use strict';

import {Model} from '.';

const DISCORD_ID_REG = '^\\d{18}$'; // eslint-disable-line no-useless-escape

export default class BanRecord extends Model {
    public static get tableName(): string {
        return 'int_ban_records';
    }

    public static get jsonSchema(): object {
        return {
            type: 'object',
            required: [
                'addedBy',
                'accusedDiscordId',
                'caseOrigin'
            ],
            properties: {
                addedBy: {type: ['integer', 'null']},
                accusedDiscordId: {type: 'string', pattern: DISCORD_ID_REG},
                accusedDiscordUsername: {type: 'string', minLength: 1, maxLength: 100},
                caseDescription: {type: 'string', minLength: 1, maxLength: 1000},
                caseModerator: {type: 'string', minLength: 1, maxLength: 100},
                caseOrigin: {type: 'string', minLength: 1, maxLength: 100},
                bannedUntil: {type: 'string', format: 'date-time'}
            }
        };
    }
}
