'use strict';

import {Model} from '.';
import {wk} from '../components/wikidot-kit';
import {enqueue, logToDiscord} from '../core/utils';

export default class Branch extends Model {
    public name: string;
    public pagesList: string[];

    public static get tableName(): string {
        return 'branches';
    }

    public async importPages(): Promise<void> {
        logToDiscord(`Performing pages import for wiki ${this.name}`);
        const pagesList = await wk.fetchPagesList(this.name);
        await Promise.all(pagesList.map(async pageName => {
            await enqueue('page-import', [this.name, pageName], 'import');
        }));
    }
}
