'use strict';

import {logToDiscord, reportError, enqueue} from '../core/utils';
import {wk, SITES} from '../components/wikidot-kit';

module.exports = async function run(siteName: string): Promise<void> {
    if (!siteName) {
        throw new Error('Site name should be specified');
    }
    const wiki = SITES[siteName];

    logToDiscord(`Initiating \`${siteName}\` members import`);
    try {
        const membersList = await wk.fetchMembersList(wiki.url);
        await Promise.all(membersList.map(user => enqueue('member-import', [siteName, user.uid], 'import')));
    } catch (error) {
        reportError(error, {message: 'Error importing members list'});
    }
};
