'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
require('dotenv').config();
const console_1 = require("./components/console");
const tasks_executer_1 = require("./components/tasks-executer");
const express_1 = require("./core/express");
const utils_1 = require("./core/utils");
const worker_1 = require("./core/worker");
const schedule_1 = require("./schedule");
const action = process.argv[2] || 'server';
function runServer() {
    const port = Number(process.env.PORT) || 4444;
    const listen = express_1.default();
    listen(port);
    utils_1.log('Server is listening');
}
function runVega() {
    utils_1.log('Starting the VEGA server');
    require('./components/vega');
}
switch (action) {
    case 'server':
        runServer();
        break;
    case 'console':
        console_1.default();
        break;
    case 'execute':
        tasks_executer_1.default(process.argv[3], process.argv.slice(4));
        break;
    case 'vega':
        runVega();
        break;
    case 'worker':
        worker_1.default();
        break;
    case 'scheduler':
        schedule_1.default();
        break;
    default:
        throw new Error(`Unknown action "${action}"`);
}
//# sourceMappingURL=index.js.map