'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const DISCORD_ID_REG = '^\\d{18}$'; // eslint-disable-line no-useless-escape
class BanRecord extends _1.Model {
    static get tableName() {
        return 'int_ban_records';
    }
    static get jsonSchema() {
        return {
            type: 'object',
            required: [
                'addedBy',
                'accusedDiscordId',
                'caseOrigin'
            ],
            properties: {
                addedBy: { type: ['integer', 'null'] },
                accusedDiscordId: { type: 'string', pattern: DISCORD_ID_REG },
                accusedDiscordUsername: { type: 'string', minLength: 1, maxLength: 100 },
                caseDescription: { type: 'string', minLength: 1, maxLength: 1000 },
                caseModerator: { type: 'string', minLength: 1, maxLength: 100 },
                caseOrigin: { type: 'string', minLength: 1, maxLength: 100 },
                bannedUntil: { type: 'string', format: 'date-time' }
            }
        };
    }
}
exports.default = BanRecord;
//# sourceMappingURL=ban-record.js.map