'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const wikidot_kit_1 = require("../components/wikidot-kit");
const utils_1 = require("../core/utils");
class Branch extends _1.Model {
    static get tableName() {
        return 'branches';
    }
    async importPages() {
        utils_1.logToDiscord(`Performing pages import for wiki ${this.name}`);
        const pagesList = await wikidot_kit_1.wk.fetchPagesList(this.name);
        await Promise.all(pagesList.map(async (pageName) => {
            await utils_1.enqueue('page-import', [this.name, pageName], 'import');
        }));
    }
}
exports.default = Branch;
//# sourceMappingURL=branch.js.map