'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
const utils_1 = require("../core/utils");
const wikidot_kit_1 = require("../components/wikidot-kit");
module.exports = async function run(siteName) {
    if (!siteName) {
        throw new Error('Site name should be specified');
    }
    const wiki = wikidot_kit_1.SITES[siteName];
    utils_1.logToDiscord(`Initiating \`${siteName}\` members import`);
    try {
        const membersList = await wikidot_kit_1.wk.fetchMembersList(wiki.url);
        await Promise.all(membersList.map(user => utils_1.enqueue('member-import', [siteName, user.uid], 'import')));
    }
    catch (error) {
        utils_1.reportError(error, { message: 'Error importing members list' });
    }
};
//# sourceMappingURL=members-import-init.js.map